#include <iostream>
using namespace std;

int emisija[200000];  // X
int recept[200000];   // Y
int scenario[200000]; // Z

int main()
{

	int counter = 0;

	int n;
	cin >> n;

	for (int i = 0; i < n; i++)
	{
		cin >> emisija[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> recept[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> scenario[i];
	}

	int brojac = 0;

	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < n; j++)
		{
			if (recept[i] == emisija[j])
			{
				brojac++;
				emisija[j] = 0;
			}

			//-----------
			
			if (recept[i] == scenario[j])
			{
				brojac++;
				scenario[j] = 0;
			}
			
			if (scenario[i] == emisija[j])
			{
				brojac++;
				emisija[j] = 0;
			}
			
			//-----------------------------------


		}


	}

	cout << brojac;
}